# PulpContainerClient::ContentBlobsApi

All URIs are relative to *http://pulp*

Method | HTTP request | Description
------------- | ------------- | -------------
[**list**](ContentBlobsApi.md#list) | **GET** /pulp/api/v3/content/container/blobs/ | List blobs
[**read**](ContentBlobsApi.md#read) | **GET** {container_blob_href} | Inspect a blob



## list

> PaginatedcontainerBlobResponseList list(opts)

List blobs

ViewSet for Blobs.

### Example

```ruby
# load the gem
require 'pulp_container_client'
# setup authorization
PulpContainerClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpContainerClient::ContentBlobsApi.new
opts = {
  digest: 'digest_example', # String | digest
  digest__in: 'digest__in_example', # String | digest__in
  limit: 56, # Integer | Number of results to return per page.
  media_type: 'media_type_example', # String | media_type
  offset: 56, # Integer | The initial index from which to return the results.
  ordering: 'ordering_example', # String | Which field to use when ordering the results.
  repository_version: 'repository_version_example', # String | repository_version
  repository_version_added: 'repository_version_added_example', # String | repository_version_added
  repository_version_removed: 'repository_version_removed_example', # String | repository_version_removed
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  #List blobs
  result = api_instance.list(opts)
  p result
rescue PulpContainerClient::ApiError => e
  puts "Exception when calling ContentBlobsApi->list: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **digest** | **String**| digest | [optional] 
 **digest__in** | **String**| digest__in | [optional] 
 **limit** | **Integer**| Number of results to return per page. | [optional] 
 **media_type** | **String**| media_type | [optional] 
 **offset** | **Integer**| The initial index from which to return the results. | [optional] 
 **ordering** | **String**| Which field to use when ordering the results. | [optional] 
 **repository_version** | **String**| repository_version | [optional] 
 **repository_version_added** | **String**| repository_version_added | [optional] 
 **repository_version_removed** | **String**| repository_version_removed | [optional] 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**PaginatedcontainerBlobResponseList**](PaginatedcontainerBlobResponseList.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## read

> ContainerBlobResponse read(container_blob_href, opts)

Inspect a blob

ViewSet for Blobs.

### Example

```ruby
# load the gem
require 'pulp_container_client'
# setup authorization
PulpContainerClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpContainerClient::ContentBlobsApi.new
container_blob_href = 'container_blob_href_example' # String | 
opts = {
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  #Inspect a blob
  result = api_instance.read(container_blob_href, opts)
  p result
rescue PulpContainerClient::ApiError => e
  puts "Exception when calling ContentBlobsApi->read: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **container_blob_href** | **String**|  | 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**ContainerBlobResponse**](ContainerBlobResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json

