# PulpContainerClient::ContentguardsContentRedirectApi

All URIs are relative to *http://pulp*

Method | HTTP request | Description
------------- | ------------- | -------------
[**create**](ContentguardsContentRedirectApi.md#create) | **POST** /pulp/api/v3/contentguards/container/content_redirect/ | Create a content redirect content guard
[**delete**](ContentguardsContentRedirectApi.md#delete) | **DELETE** {container_content_redirect_content_guard_href} | Delete a content redirect content guard
[**list**](ContentguardsContentRedirectApi.md#list) | **GET** /pulp/api/v3/contentguards/container/content_redirect/ | List content redirect content guards
[**partial_update**](ContentguardsContentRedirectApi.md#partial_update) | **PATCH** {container_content_redirect_content_guard_href} | Update a content redirect content guard
[**read**](ContentguardsContentRedirectApi.md#read) | **GET** {container_content_redirect_content_guard_href} | Inspect a content redirect content guard
[**update**](ContentguardsContentRedirectApi.md#update) | **PUT** {container_content_redirect_content_guard_href} | Update a content redirect content guard



## create

> ContainerContentRedirectContentGuardResponse create(container_content_redirect_content_guard)

Create a content redirect content guard

Content guard to protect preauthenticated redirects to the content app.

### Example

```ruby
# load the gem
require 'pulp_container_client'
# setup authorization
PulpContainerClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpContainerClient::ContentguardsContentRedirectApi.new
container_content_redirect_content_guard = PulpContainerClient::ContainerContentRedirectContentGuard.new # ContainerContentRedirectContentGuard | 

begin
  #Create a content redirect content guard
  result = api_instance.create(container_content_redirect_content_guard)
  p result
rescue PulpContainerClient::ApiError => e
  puts "Exception when calling ContentguardsContentRedirectApi->create: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **container_content_redirect_content_guard** | [**ContainerContentRedirectContentGuard**](ContainerContentRedirectContentGuard.md)|  | 

### Return type

[**ContainerContentRedirectContentGuardResponse**](ContainerContentRedirectContentGuardResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## delete

> delete(container_content_redirect_content_guard_href)

Delete a content redirect content guard

Content guard to protect preauthenticated redirects to the content app.

### Example

```ruby
# load the gem
require 'pulp_container_client'
# setup authorization
PulpContainerClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpContainerClient::ContentguardsContentRedirectApi.new
container_content_redirect_content_guard_href = 'container_content_redirect_content_guard_href_example' # String | 

begin
  #Delete a content redirect content guard
  api_instance.delete(container_content_redirect_content_guard_href)
rescue PulpContainerClient::ApiError => e
  puts "Exception when calling ContentguardsContentRedirectApi->delete: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **container_content_redirect_content_guard_href** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined


## list

> PaginatedcontainerContentRedirectContentGuardResponseList list(opts)

List content redirect content guards

Content guard to protect preauthenticated redirects to the content app.

### Example

```ruby
# load the gem
require 'pulp_container_client'
# setup authorization
PulpContainerClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpContainerClient::ContentguardsContentRedirectApi.new
opts = {
  limit: 56, # Integer | Number of results to return per page.
  name: 'name_example', # String | name
  name__in: 'name__in_example', # String | name__in
  offset: 56, # Integer | The initial index from which to return the results.
  ordering: 'ordering_example', # String | Which field to use when ordering the results.
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  #List content redirect content guards
  result = api_instance.list(opts)
  p result
rescue PulpContainerClient::ApiError => e
  puts "Exception when calling ContentguardsContentRedirectApi->list: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **limit** | **Integer**| Number of results to return per page. | [optional] 
 **name** | **String**| name | [optional] 
 **name__in** | **String**| name__in | [optional] 
 **offset** | **Integer**| The initial index from which to return the results. | [optional] 
 **ordering** | **String**| Which field to use when ordering the results. | [optional] 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**PaginatedcontainerContentRedirectContentGuardResponseList**](PaginatedcontainerContentRedirectContentGuardResponseList.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## partial_update

> ContainerContentRedirectContentGuardResponse partial_update(container_content_redirect_content_guard_href, patchedcontainer_content_redirect_content_guard)

Update a content redirect content guard

Content guard to protect preauthenticated redirects to the content app.

### Example

```ruby
# load the gem
require 'pulp_container_client'
# setup authorization
PulpContainerClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpContainerClient::ContentguardsContentRedirectApi.new
container_content_redirect_content_guard_href = 'container_content_redirect_content_guard_href_example' # String | 
patchedcontainer_content_redirect_content_guard = PulpContainerClient::PatchedcontainerContentRedirectContentGuard.new # PatchedcontainerContentRedirectContentGuard | 

begin
  #Update a content redirect content guard
  result = api_instance.partial_update(container_content_redirect_content_guard_href, patchedcontainer_content_redirect_content_guard)
  p result
rescue PulpContainerClient::ApiError => e
  puts "Exception when calling ContentguardsContentRedirectApi->partial_update: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **container_content_redirect_content_guard_href** | **String**|  | 
 **patchedcontainer_content_redirect_content_guard** | [**PatchedcontainerContentRedirectContentGuard**](PatchedcontainerContentRedirectContentGuard.md)|  | 

### Return type

[**ContainerContentRedirectContentGuardResponse**](ContainerContentRedirectContentGuardResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## read

> ContainerContentRedirectContentGuardResponse read(container_content_redirect_content_guard_href, opts)

Inspect a content redirect content guard

Content guard to protect preauthenticated redirects to the content app.

### Example

```ruby
# load the gem
require 'pulp_container_client'
# setup authorization
PulpContainerClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpContainerClient::ContentguardsContentRedirectApi.new
container_content_redirect_content_guard_href = 'container_content_redirect_content_guard_href_example' # String | 
opts = {
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  #Inspect a content redirect content guard
  result = api_instance.read(container_content_redirect_content_guard_href, opts)
  p result
rescue PulpContainerClient::ApiError => e
  puts "Exception when calling ContentguardsContentRedirectApi->read: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **container_content_redirect_content_guard_href** | **String**|  | 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**ContainerContentRedirectContentGuardResponse**](ContainerContentRedirectContentGuardResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## update

> ContainerContentRedirectContentGuardResponse update(container_content_redirect_content_guard_href, container_content_redirect_content_guard)

Update a content redirect content guard

Content guard to protect preauthenticated redirects to the content app.

### Example

```ruby
# load the gem
require 'pulp_container_client'
# setup authorization
PulpContainerClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpContainerClient::ContentguardsContentRedirectApi.new
container_content_redirect_content_guard_href = 'container_content_redirect_content_guard_href_example' # String | 
container_content_redirect_content_guard = PulpContainerClient::ContainerContentRedirectContentGuard.new # ContainerContentRedirectContentGuard | 

begin
  #Update a content redirect content guard
  result = api_instance.update(container_content_redirect_content_guard_href, container_content_redirect_content_guard)
  p result
rescue PulpContainerClient::ApiError => e
  puts "Exception when calling ContentguardsContentRedirectApi->update: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **container_content_redirect_content_guard_href** | **String**|  | 
 **container_content_redirect_content_guard** | [**ContainerContentRedirectContentGuard**](ContainerContentRedirectContentGuard.md)|  | 

### Return type

[**ContainerContentRedirectContentGuardResponse**](ContainerContentRedirectContentGuardResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json

