# PulpContainerClient::PulpContainerNamespacesApi

All URIs are relative to *http://pulp*

Method | HTTP request | Description
------------- | ------------- | -------------
[**create**](PulpContainerNamespacesApi.md#create) | **POST** /pulp/api/v3/pulp_container/namespaces/ | Create a container namespace
[**delete**](PulpContainerNamespacesApi.md#delete) | **DELETE** {container_container_namespace_href} | Delete a container namespace
[**list**](PulpContainerNamespacesApi.md#list) | **GET** /pulp/api/v3/pulp_container/namespaces/ | List container namespaces
[**read**](PulpContainerNamespacesApi.md#read) | **GET** {container_container_namespace_href} | Inspect a container namespace



## create

> ContainerContainerNamespaceResponse create(container_container_namespace)

Create a container namespace

ViewSet for ContainerNamespaces.

### Example

```ruby
# load the gem
require 'pulp_container_client'
# setup authorization
PulpContainerClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpContainerClient::PulpContainerNamespacesApi.new
container_container_namespace = PulpContainerClient::ContainerContainerNamespace.new # ContainerContainerNamespace | 

begin
  #Create a container namespace
  result = api_instance.create(container_container_namespace)
  p result
rescue PulpContainerClient::ApiError => e
  puts "Exception when calling PulpContainerNamespacesApi->create: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **container_container_namespace** | [**ContainerContainerNamespace**](ContainerContainerNamespace.md)|  | 

### Return type

[**ContainerContainerNamespaceResponse**](ContainerContainerNamespaceResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## delete

> delete(container_container_namespace_href)

Delete a container namespace

ViewSet for ContainerNamespaces.

### Example

```ruby
# load the gem
require 'pulp_container_client'
# setup authorization
PulpContainerClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpContainerClient::PulpContainerNamespacesApi.new
container_container_namespace_href = 'container_container_namespace_href_example' # String | 

begin
  #Delete a container namespace
  api_instance.delete(container_container_namespace_href)
rescue PulpContainerClient::ApiError => e
  puts "Exception when calling PulpContainerNamespacesApi->delete: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **container_container_namespace_href** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined


## list

> PaginatedcontainerContainerNamespaceResponseList list(opts)

List container namespaces

ViewSet for ContainerNamespaces.

### Example

```ruby
# load the gem
require 'pulp_container_client'
# setup authorization
PulpContainerClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpContainerClient::PulpContainerNamespacesApi.new
opts = {
  limit: 56, # Integer | Number of results to return per page.
  offset: 56, # Integer | The initial index from which to return the results.
  ordering: 'ordering_example', # String | Which field to use when ordering the results.
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  #List container namespaces
  result = api_instance.list(opts)
  p result
rescue PulpContainerClient::ApiError => e
  puts "Exception when calling PulpContainerNamespacesApi->list: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **limit** | **Integer**| Number of results to return per page. | [optional] 
 **offset** | **Integer**| The initial index from which to return the results. | [optional] 
 **ordering** | **String**| Which field to use when ordering the results. | [optional] 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**PaginatedcontainerContainerNamespaceResponseList**](PaginatedcontainerContainerNamespaceResponseList.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## read

> ContainerContainerNamespaceResponse read(container_container_namespace_href, opts)

Inspect a container namespace

ViewSet for ContainerNamespaces.

### Example

```ruby
# load the gem
require 'pulp_container_client'
# setup authorization
PulpContainerClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpContainerClient::PulpContainerNamespacesApi.new
container_container_namespace_href = 'container_container_namespace_href_example' # String | 
opts = {
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  #Inspect a container namespace
  result = api_instance.read(container_container_namespace_href, opts)
  p result
rescue PulpContainerClient::ApiError => e
  puts "Exception when calling PulpContainerNamespacesApi->read: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **container_container_namespace_href** | **String**|  | 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**ContainerContainerNamespaceResponse**](ContainerContainerNamespaceResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json

