# PulpContainerClient::RepositoriesContainerPushApi

All URIs are relative to *http://pulp*

Method | HTTP request | Description
------------- | ------------- | -------------
[**create**](RepositoriesContainerPushApi.md#create) | **POST** /pulp/api/v3/repositories/container/container-push/ | Create a container push repository
[**delete**](RepositoriesContainerPushApi.md#delete) | **DELETE** {container_container_push_repository_href} | Delete a container push repository
[**list**](RepositoriesContainerPushApi.md#list) | **GET** /pulp/api/v3/repositories/container/container-push/ | List container push repositorys
[**read**](RepositoriesContainerPushApi.md#read) | **GET** {container_container_push_repository_href} | Inspect a container push repository



## create

> ContainerContainerPushRepositoryResponse create(container_container_push_repository)

Create a container push repository

ViewSet for a container push repository.

### Example

```ruby
# load the gem
require 'pulp_container_client'
# setup authorization
PulpContainerClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpContainerClient::RepositoriesContainerPushApi.new
container_container_push_repository = PulpContainerClient::ContainerContainerPushRepository.new # ContainerContainerPushRepository | 

begin
  #Create a container push repository
  result = api_instance.create(container_container_push_repository)
  p result
rescue PulpContainerClient::ApiError => e
  puts "Exception when calling RepositoriesContainerPushApi->create: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **container_container_push_repository** | [**ContainerContainerPushRepository**](ContainerContainerPushRepository.md)|  | 

### Return type

[**ContainerContainerPushRepositoryResponse**](ContainerContainerPushRepositoryResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## delete

> AsyncOperationResponse delete(container_container_push_repository_href)

Delete a container push repository

Trigger an asynchronous delete task

### Example

```ruby
# load the gem
require 'pulp_container_client'
# setup authorization
PulpContainerClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpContainerClient::RepositoriesContainerPushApi.new
container_container_push_repository_href = 'container_container_push_repository_href_example' # String | 

begin
  #Delete a container push repository
  result = api_instance.delete(container_container_push_repository_href)
  p result
rescue PulpContainerClient::ApiError => e
  puts "Exception when calling RepositoriesContainerPushApi->delete: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **container_container_push_repository_href** | **String**|  | 

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## list

> PaginatedcontainerContainerPushRepositoryResponseList list(opts)

List container push repositorys

ViewSet for a container push repository.

### Example

```ruby
# load the gem
require 'pulp_container_client'
# setup authorization
PulpContainerClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpContainerClient::RepositoriesContainerPushApi.new
opts = {
  limit: 56, # Integer | Number of results to return per page.
  name: 'name_example', # String | name
  name__in: 'name__in_example', # String | name__in
  offset: 56, # Integer | The initial index from which to return the results.
  ordering: 'ordering_example', # String | Which field to use when ordering the results.
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  #List container push repositorys
  result = api_instance.list(opts)
  p result
rescue PulpContainerClient::ApiError => e
  puts "Exception when calling RepositoriesContainerPushApi->list: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **limit** | **Integer**| Number of results to return per page. | [optional] 
 **name** | **String**| name | [optional] 
 **name__in** | **String**| name__in | [optional] 
 **offset** | **Integer**| The initial index from which to return the results. | [optional] 
 **ordering** | **String**| Which field to use when ordering the results. | [optional] 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**PaginatedcontainerContainerPushRepositoryResponseList**](PaginatedcontainerContainerPushRepositoryResponseList.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## read

> ContainerContainerPushRepositoryResponse read(container_container_push_repository_href, opts)

Inspect a container push repository

ViewSet for a container push repository.

### Example

```ruby
# load the gem
require 'pulp_container_client'
# setup authorization
PulpContainerClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpContainerClient::RepositoriesContainerPushApi.new
container_container_push_repository_href = 'container_container_push_repository_href_example' # String | 
opts = {
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  #Inspect a container push repository
  result = api_instance.read(container_container_push_repository_href, opts)
  p result
rescue PulpContainerClient::ApiError => e
  puts "Exception when calling RepositoriesContainerPushApi->read: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **container_container_push_repository_href** | **String**|  | 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**ContainerContainerPushRepositoryResponse**](ContainerContainerPushRepositoryResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json

